Diablo® III

Have requirements changed from Beta->Release?

Posts: 45
I had no issues running the D3 beta, but after installing this morning, get a message that says my video card is not supported. It's not on the list of non-supported cards, but I was presented with a warning of "stability issues" when first loading up the beta.

I'm just curious if anyone else has had a similar issue and/or if it's even a real issue.

My friend loaded up the game after installing and watch through the opening video just fine. This is majorly troubling...thoughts?
Reply Quote
90 Draenei Priest
Posts: 9,057
Check this thread out, should help you:

Reply Quote
90 Blood Elf Paladin
Posts: 163
if that doesn't work then try the Esc trick someone figured out. Press Esc when it tells you your video card is out of date.
Reply Quote
Posts: 45
Thanks a lot Tiakatt

Turns out it is a common issue. Hehe, panic is never a good thing. Anyways, it was as simple as hitting the Esc key.

If anyone else has this issue, try that first and try downloading the hotfix listed in the other thread when that fails.
Reply Quote
87 Blood Elf Paladin
Posts: 313
is there any way around not having the minimum required specifications? i played in the beta just fine..
Reply Quote

Please report any Code of Conduct violations, including:

Threats of violence. We take these seriously and will alert the proper authorities.

Posts containing personal information about other players. This includes physical addresses, e-mail addresses, phone numbers, and inappropriate photos and/or videos.

Harassing or discriminatory language. This will not be tolerated.

Forums Code of Conduct

Report Post # written by

Explain (256 characters max)